Get all reports
curl --request GET \
--url https://api.exchange.coinbase.com/reports \
--header 'cb-access-key: <api-key>' \
--header 'cb-access-passphrase: <api-key>' \
--header 'cb-access-sign: <api-key>' \
--header 'cb-access-timestamp: <api-key>'import requests
url = "https://api.exchange.coinbase.com/reports"
headers = {
"cb-access-key": "<api-key>",
"cb-access-passphrase": "<api-key>",
"cb-access-sign": "<api-key>",
"cb-access-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'cb-access-key': '<api-key>',
'cb-access-passphrase': '<api-key>',
'cb-access-sign': '<api-key>',
'cb-access-timestamp': '<api-key>'
}
};
fetch('https://api.exchange.coinbase.com/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2019-07-25T22:14:00.410Z",
"completed_at": "2019-07-25T22:14:01.332Z",
"expires_at": "2019-08-01T22:14:00.410Z",
"id": "66e2dc58-a11b-4ae7-af08-1b42cf8031ad",
"type": "account",
"status": "ready",
"user_id": "5cf6e115aaf44503db300f1e",
"file_url": "www.example.com",
"params": {
"start_date": "2019-06-25T22:13:48.592Z",
"end_date": "2019-07-25T22:13:48.592Z",
"format": "pdf",
"product_id": "ALL",
"account_id": "ALL",
"profile_id": "8058d771-2d88-4f0f-ab6e-299c153d4308",
"email": "user1@example.com",
"user": {
"created_at": "2019-06-04T21:22:32.226Z",
"active_at": "2019-06-04T21:27:49.250Z",
"id": "5cf6e115aaf44503db300f1e",
"name": "User One",
"email": "user1@example.com",
"is_banned": false,
"user_type": "individual",
"fulfills_new_requirements": true,
"oauth_client": "pro",
"preferences": {
"preferred_market": "BTC-USD",
"margin_terms_completed_in_utc": "2019-06-13T23:40:17.752Z",
"margin_tutorial_completed_in_utc": "2019-06-19T23:56:59.411Z"
},
"has_default": false
},
"new_york_state": false
}
}
]{
"message": "<string>"
}{
"message": "<string>"
}Reports
Get all reports
Gets a list of all user generated reports.
GET
/
reports
Get all reports
Once a report request has been accepted for processing, you can poll the report resource endpoint at
/reports/{report_id} for its status. When status is ready, the final report is uploaded and available at {file_url}.API Key Permissions
This endpoint requires either the “view” or “trade” permission.Authorizations
Query Parameters
Filter results by a specific profile_id
Filter results after a specific date
Limit results to a specific number
Filter results by type of report. Possible values: [account, balance, fills, otc-fills, rfq-fills, tax-invoice, 1099k-transaction-history]
Ignore expired results
Response
Available options:
pending, creating, ready, failed Show child attributes
Show child attributes
Example:
{
"start_date": "2019-06-25T22:13:48.592Z",
"end_date": "2019-07-25T22:13:48.592Z",
"format": "pdf",
"product_id": "ALL",
"account_id": "ALL",
"profile_id": "8058d771-2d88-4f0f-ab6e-299c153d4308",
"email": "user1@example.com",
"user": {
"created_at": "2019-06-04T21:22:32.226Z",
"active_at": "2019-06-04T21:27:49.250Z",
"id": "5cf6e115aaf44503db300f1e",
"name": "User One",
"email": "user1@example.com",
"is_banned": false,
"user_type": "individual",
"fulfills_new_requirements": true,
"oauth_client": "pro",
"preferences": {
"preferred_market": "BTC-USD",
"margin_terms_completed_in_utc": "2019-06-13T23:40:17.752Z",
"margin_tutorial_completed_in_utc": "2019-06-19T23:56:59.411Z"
},
"has_default": false
},
"new_york_state": false
}
Was this page helpful?
⌘I